org.apache.groovy.jaxb.extensions

## Class JaxbExtensions

- java.lang.Object
- - org.apache.groovy.jaxb.extensions.JaxbExtensions

-     public class JaxbExtensions
      extends java.lang.Object

  This class defines new groovy methods which appear on Jaxb-related JDK classes (`JAXBContext`, `Marshaller`) inside the Groovy environment. Static methods are used with the first parameter being the destination class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxbExtensions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> java.lang.String` | `marshal(javax.xml.bind.JAXBContext self, T jaxbElement)` Marshall an object to a xml `String`.
    `static <T> java.lang.String` | `marshal(javax.xml.bind.Marshaller self, T jaxbElement)` Marshall an object to a xml `String`.
    `static <T> T` | `unmarshal(javax.xml.bind.JAXBContext self, java.lang.String xml, java.lang.Class<T> declaredType)` Unmarshal xml data from the given `String` to object of the given type.
    `static <T> T` | `unmarshal(javax.xml.bind.Unmarshaller self, java.lang.String xml, java.lang.Class<T> declaredType)` Unmarshal xml data from the given `String` to object of the given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbExtensions

          public JaxbExtensions()

  - ### Method Detail

    - #### marshal

          public static <T> java.lang.String marshal(javax.xml.bind.Marshaller self,
                                                     T jaxbElement)
                                              throws javax.xml.bind.JAXBException

      Marshall an object to a xml `String`.
      Parameters:
        `self` - a Marshaller which can marshall the type of the given object
        `jaxbElement` - object to marshall to a `String`
      Returns:
        `String` representing the object as xml
      Throws:
        `javax.xml.bind.JAXBException`

    - #### marshal

          public static <T> java.lang.String marshal(javax.xml.bind.JAXBContext self,
                                                     T jaxbElement)
                                              throws javax.xml.bind.JAXBException

      Marshall an object to a xml `String`.
      Parameters:
        `self` - a JaxbContext, which recognizes the type of the given object
        `jaxbElement` - object to marshall to a `String`
      Returns:
        String representing the object as xml
      Throws:
        `javax.xml.bind.JAXBException`

    - #### unmarshal

          public static <T> T unmarshal(javax.xml.bind.Unmarshaller self,
                                        java.lang.String xml,
                                        java.lang.Class<T> declaredType)
                                 throws javax.xml.bind.JAXBException

      Unmarshal xml data from the given `String` to object of the given type.
      Parameters:
        `self` - Unmarshaller, a Unmarshaller which can unmarshall the type of the given object
        `xml` - xml data as a `String`
        `declaredType` - appropriate JAXB mapped class to hold node's xml data
      Returns:
        instance of destination class unmarshalled from xml
      Throws:
        `javax.xml.bind.JAXBException`

    - #### unmarshal

          public static <T> T unmarshal(javax.xml.bind.JAXBContext self,
                                        java.lang.String xml,
                                        java.lang.Class<T> declaredType)
                                 throws javax.xml.bind.JAXBException

      Unmarshal xml data from the given `String` to object of the given type.
      Parameters:
        `self` - a JaxbContext, which recognizes the type of the given object
        `xml` - xml data as a `String`
        `declaredType` - appropriate JAXB mapped class to hold node's xml data
      Returns:
        instance of destination class unmarshalled from xml
      Throws:
        `javax.xml.bind.JAXBException`